part of openrqm.api;

class RQMLinkType {
  /* Id of the link type */
  int id = null;
  
  String nameTo = null;
  
  String nameFrom = null;
  RQMLinkType();

  @override
  String toString() {
    return 'RQMLinkType[id=$id, nameTo=$nameTo, nameFrom=$nameFrom, ]';
  }

  RQMLinkType.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    nameTo = json['nameTo'];
    nameFrom = json['nameFrom'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (nameTo != null)
      json['nameTo'] = nameTo;
    if (nameFrom != null)
      json['nameFrom'] = nameFrom;
    return json;
  }

  static List<RQMLinkType> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMLinkType>() : json.map((value) => RQMLinkType.fromJson(value)).toList();
  }

  static Map<String, RQMLinkType> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMLinkType>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMLinkType.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMLinkType-objects as value to a dart map
  static Map<String, List<RQMLinkType>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMLinkType>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMLinkType.listFromJson(value);
       });
     }
     return map;
  }
}

