part of openrqm.api;

class RQMTemplate {
  
  int id = null;
  
  String name = null;
  RQMTemplate();

  @override
  String toString() {
    return 'RQMTemplate[id=$id, name=$name, ]';
  }

  RQMTemplate.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    return json;
  }

  static List<RQMTemplate> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMTemplate>() : json.map((value) => RQMTemplate.fromJson(value)).toList();
  }

  static Map<String, RQMTemplate> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMTemplate>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMTemplate.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMTemplate-objects as value to a dart map
  static Map<String, List<RQMTemplate>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMTemplate>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMTemplate.listFromJson(value);
       });
     }
     return map;
  }
}

