part of openrqm.api;

class RQMToken {
  
  int id = null;
  
  String token = null;
  RQMToken();

  @override
  String toString() {
    return 'RQMToken[id=$id, token=$token, ]';
  }

  RQMToken.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    token = json['token'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (token != null)
      json['token'] = token;
    return json;
  }

  static List<RQMToken> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMToken>() : json.map((value) => RQMToken.fromJson(value)).toList();
  }

  static Map<String, RQMToken> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMToken>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMToken.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMToken-objects as value to a dart map
  static Map<String, List<RQMToken>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMToken>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMToken.listFromJson(value);
       });
     }
     return map;
  }
}

