part of openrqm.api;

class RQMUser {
  
  int id = null;
  
  String email = null;
  
  String name = null;
  
  String surname = null;
  
  String department = null;
  RQMUser();

  @override
  String toString() {
    return 'RQMUser[id=$id, email=$email, name=$name, surname=$surname, department=$department, ]';
  }

  RQMUser.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    email = json['email'];
    name = json['name'];
    surname = json['surname'];
    department = json['department'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (email != null)
      json['email'] = email;
    if (name != null)
      json['name'] = name;
    if (surname != null)
      json['surname'] = surname;
    if (department != null)
      json['department'] = department;
    return json;
  }

  static List<RQMUser> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMUser>() : json.map((value) => RQMUser.fromJson(value)).toList();
  }

  static Map<String, RQMUser> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMUser>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMUser.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMUser-objects as value to a dart map
  static Map<String, List<RQMUser>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMUser>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMUser.listFromJson(value);
       });
     }
     return map;
  }
}

