part of openrqm.api;

class RQMWorkspaceAccessgroup {
  
  int accessGroupId = null;
  
  int permissions = null;
  RQMWorkspaceAccessgroup();

  @override
  String toString() {
    return 'RQMWorkspaceAccessgroup[accessGroupId=$accessGroupId, permissions=$permissions, ]';
  }

  RQMWorkspaceAccessgroup.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    accessGroupId = json['accessGroupId'];
    permissions = json['permissions'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (accessGroupId != null)
      json['accessGroupId'] = accessGroupId;
    if (permissions != null)
      json['permissions'] = permissions;
    return json;
  }

  static List<RQMWorkspaceAccessgroup> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMWorkspaceAccessgroup>() : json.map((value) => RQMWorkspaceAccessgroup.fromJson(value)).toList();
  }

  static Map<String, RQMWorkspaceAccessgroup> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMWorkspaceAccessgroup>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMWorkspaceAccessgroup.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMWorkspaceAccessgroup-objects as value to a dart map
  static Map<String, List<RQMWorkspaceAccessgroup>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMWorkspaceAccessgroup>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMWorkspaceAccessgroup.listFromJson(value);
       });
     }
     return map;
  }
}

