part of openrqm.api;

class RQMAccessGroup {
  
  int id = null;
  
  String name = null;
  RQMAccessGroup();

  @override
  String toString() {
    return 'RQMAccessGroup[id=$id, name=$name, ]';
  }

  RQMAccessGroup.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    return json;
  }

  static List<RQMAccessGroup> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMAccessGroup>() : json.map((value) => RQMAccessGroup.fromJson(value)).toList();
  }

  static Map<String, RQMAccessGroup> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMAccessGroup>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMAccessGroup.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMAccessGroup-objects as value to a dart map
  static Map<String, List<RQMAccessGroup>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMAccessGroup>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMAccessGroup.listFromJson(value);
       });
     }
     return map;
  }
}

