part of openrqm.api;

class RQMElementType {
  
  int id = null;
  
  String name = null;
  RQMElementType();

  @override
  String toString() {
    return 'RQMElementType[id=$id, name=$name, ]';
  }

  RQMElementType.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    return json;
  }

  static List<RQMElementType> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMElementType>() : json.map((value) => RQMElementType.fromJson(value)).toList();
  }

  static Map<String, RQMElementType> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMElementType>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMElementType.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMElementType-objects as value to a dart map
  static Map<String, List<RQMElementType>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMElementType>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMElementType.listFromJson(value);
       });
     }
     return map;
  }
}

