part of openrqm.api;

class RQMElementTypeColor {
  
  int themeId = null;
  
  int elementTypeId = null;
  
  String colorCodeHex = null;
  RQMElementTypeColor();

  @override
  String toString() {
    return 'RQMElementTypeColor[themeId=$themeId, elementTypeId=$elementTypeId, colorCodeHex=$colorCodeHex, ]';
  }

  RQMElementTypeColor.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    themeId = json['themeId'];
    elementTypeId = json['elementTypeId'];
    colorCodeHex = json['colorCodeHex'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (themeId != null)
      json['themeId'] = themeId;
    if (elementTypeId != null)
      json['elementTypeId'] = elementTypeId;
    if (colorCodeHex != null)
      json['colorCodeHex'] = colorCodeHex;
    return json;
  }

  static List<RQMElementTypeColor> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMElementTypeColor>() : json.map((value) => RQMElementTypeColor.fromJson(value)).toList();
  }

  static Map<String, RQMElementTypeColor> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMElementTypeColor>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMElementTypeColor.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMElementTypeColor-objects as value to a dart map
  static Map<String, List<RQMElementTypeColor>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMElementTypeColor>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMElementTypeColor.listFromJson(value);
       });
     }
     return map;
  }
}

