part of openrqm.api;

class RQMTheme {
  
  int id = null;
  
  String linkFromHighlightColor = null;
  
  String linkToHighlightColor = null;
  RQMTheme();

  @override
  String toString() {
    return 'RQMTheme[id=$id, linkFromHighlightColor=$linkFromHighlightColor, linkToHighlightColor=$linkToHighlightColor, ]';
  }

  RQMTheme.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    linkFromHighlightColor = json['linkFromHighlightColor'];
    linkToHighlightColor = json['linkToHighlightColor'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (linkFromHighlightColor != null)
      json['linkFromHighlightColor'] = linkFromHighlightColor;
    if (linkToHighlightColor != null)
      json['linkToHighlightColor'] = linkToHighlightColor;
    return json;
  }

  static List<RQMTheme> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMTheme>() : json.map((value) => RQMTheme.fromJson(value)).toList();
  }

  static Map<String, RQMTheme> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMTheme>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMTheme.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMTheme-objects as value to a dart map
  static Map<String, List<RQMTheme>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMTheme>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMTheme.listFromJson(value);
       });
     }
     return map;
  }
}

