part of openrqm.api;

class RQMWorkspaceUser {
  
  int userId = null;
  
  String email = null;
  
  int permissions = null;
  RQMWorkspaceUser();

  @override
  String toString() {
    return 'RQMWorkspaceUser[userId=$userId, email=$email, permissions=$permissions, ]';
  }

  RQMWorkspaceUser.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    userId = json['userId'];
    email = json['email'];
    permissions = json['permissions'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (userId != null)
      json['userId'] = userId;
    if (email != null)
      json['email'] = email;
    if (permissions != null)
      json['permissions'] = permissions;
    return json;
  }

  static List<RQMWorkspaceUser> listFromJson(List<dynamic> json) {
    return json == null ? List<RQMWorkspaceUser>() : json.map((value) => RQMWorkspaceUser.fromJson(value)).toList();
  }

  static Map<String, RQMWorkspaceUser> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RQMWorkspaceUser>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RQMWorkspaceUser.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RQMWorkspaceUser-objects as value to a dart map
  static Map<String, List<RQMWorkspaceUser>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RQMWorkspaceUser>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RQMWorkspaceUser.listFromJson(value);
       });
     }
     return map;
  }
}

